.\" Man page generated from reStructuredText.
.
.TH "CWB_MKFAD" "1" "Nov 25, 2022" "cWB-6.4.2" "coherent WaveBurst"
.SH NAME
cwb_mkfad \- cWB Documentation
.
.nr rst2man-indent-level 0
.
.de1 rstReportMargin
\\$1 \\n[an-margin]
level \\n[rst2man-indent-level]
level margin: \\n[rst2man-indent\\n[rst2man-indent-level]]
-
\\n[rst2man-indent0]
\\n[rst2man-indent1]
\\n[rst2man-indent2]
..
.de1 INDENT
.\" .rstReportMargin pre:
. RS \\$1
. nr rst2man-indent\\n[rst2man-indent-level] \\n[an-margin]
. nr rst2man-indent-level +1
.\" .rstReportMargin post:
..
.de UNINDENT
. RE
.\" indent \\n[an-margin]
.\" old: \\n[rst2man-indent\\n[rst2man-indent-level]]
.nr rst2man-indent-level -1
.\" new: \\n[rst2man-indent\\n[rst2man-indent-level]]
.in \\n[rst2man-indent\\n[rst2man-indent-level]]u
..
.nf

.fi
.sp
.sp
\fBNOTE:\fP
.INDENT 0.0
.INDENT 3.5
The current FAD implementation is a preliminary version and it
has some limitations, see \fI\%FAD howto\fP
.UNINDENT
.UNINDENT
.nf

\fBUsage\fP

This command must be executed in the simulation working directory, it
produces the FAD files and plots.
For this command it is necessary to have configured the
\fI\%user_pparameters.C\fP file.
The following pp parameters are used by the cwb_mkfad command:
\fI\%pp_fad\fP,\fI\%T_win\fP
,\fI\%T_cor\fP ,\fI\%pp_irho\fP
,\fI\%T_vED\fP ,\fI\%T_pen\fP

.fi
.sp
.INDENT 0.0
.INDENT 3.5
.sp
\fBNOTE:\fP
.INDENT 0.0
.INDENT 3.5
it is not necessary to configure the "\-nzbins" in the
pp_fad <running.html#others>\(ga__ option
.UNINDENT
.UNINDENT
.sp
\fBNOTE:\fP
.INDENT 0.0
.INDENT 3.5
the \fI\%pp_fad\fP option can
be defined in a separated un\-named macro which name can be provided to
the cwb_mkfad command alternatively to the nzbins parameter.
.UNINDENT
.UNINDENT
.UNINDENT
.UNINDENT
.nf

\fBSyntax\fP

.fi
.sp
.INDENT 0.0
.INDENT 3.5
.INDENT 0.0
.IP \(bu 2
\fBcwb_mkfad label nzbins/fad.in [optional] odir [optional] obstime [optional]\fP
.IP \(bu 2
\fBlabel\fP : same label as
.sp
\fI\%cwb_merge\fP/\fI\%cwb_setveto\fP
.INDENT 2.0
.INDENT 3.5
commands
.UNINDENT
.UNINDENT
.IP \(bu 2
\fBnzbins/fad.in\fP : (default is \-1)
.INDENT 2.0
.IP \(bu 2
if nzbins=0 the standard FAD statistic is used
.IP \(bu 2
if nzbin>0 the FAD statistic is computed until there are nzbins
consecutive bins with zero events inside
.IP \(bu 2
if nzbin<0 the FAD statistic is computed with classical FAD and
min\-hold (un\-biased FAD)
.IP \(bu 2
if the parameter is a file name the file must be a un\-named ROOT
macro which can be used to define the pp_fad.
.UNINDENT
.IP \(bu 2
.INDENT 2.0
.TP
\fBodir\fP
output fad directory (default="fad")
the output directory is created under
report/postprod/sim_report_dir
where "sim_report_dir" is the standard simulation report directory
created with the \fI\%cwb_report\fP command.
Under the "odir" the command creates the fad.html which can be used
by a web browser to display the FAD plots.
This is the list of created ascii/plots files :
.UNINDENT
.INDENT 2.0
.IP \(bu 2
\fBFARvsRHO\fP False Alarm Rate vs RHO
.IP \(bu 2
\fBREFFvsRHO\fP Effective Radius vs RHO
.IP \(bu 2
\fBREFFvsIRHO\fP Effective Radius vs Inverse RHO
.IP \(bu 2
\fBVISvsRHO\fP Visible Volume vs RHO
.IP \(bu 2
\fBPRODvsFAD\fP Productivity vs False Alarm Density
.IP \(bu 2
\fBEVTvsRHO\fP Number of Expected False Alarm vs RHO
.IP \(bu 2
\fBFADvsRHO\fP False Alarm Density vs RHO
.IP \(bu 2
\fBFAPvsRHO\fP False Alarm Probability vs RHO
.IP \(bu 2
\fBRECvsINJ\fP Reconstructed Events vs Injected Events
.UNINDENT
.IP \(bu 2
\fBobstime\fP : zero lag observation time (sec), if 0 then it is read from live.txt
.UNINDENT
.UNINDENT
.UNINDENT
.nf

\fBExamples\fP

.fi
.sp
.INDENT 0.0
.INDENT 3.5
.INDENT 0.0
.INDENT 3.5
.sp
.nf
.ft C
cwb_mkfad M1.C_cc2_gt_0d45 \-1 unbiased_fad

cwb_mkfad M1.C_cc2_gt_0d45 fad.in fad

cwb_mkfad M1 0 standard_fad 840000
.ft P
.fi
.UNINDENT
.UNINDENT
.UNINDENT
.UNINDENT
.SH AUTHOR
Gabriele Vedovato
.SH COPYRIGHT
2018, cWB Team
.\" Generated by docutils manpage writer.
.
